ROVER_DEVICE_DATA-SYNC_TASK-DEFINITION_UPDATE(1)

NAME
rover_device_data-sync_task-definition_update -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Update TaskDefinition

USAGE

oci rover device data-sync task-definition update [OPTIONS]

REQUIRED PARAMETERS

--id [text]

    The ocid of the Task Definition to be updated.

OPTIONAL PARAMETERS

--destination [complex type]

    Provide the details about the destination datastore in JSON structure either in-line or via a local file, file://path-to/data-sync-destination-json-file.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--name [text]

    Short description of the Task Definition

--rate-limit [text]

    If provided, it sets the data transfer rate limit for this task. Allowed values are 50M, 100M, 250M, 500M, 1G, 2G, or 5G. Default to unlimited if not provided.

--schedule [complex type]

    Provide the details about how the task execution is scheduled in JSON structure either in-line or via a local file, file://path-to/schedule-json-file.

--source [complex type]

    Provide the details about the source datastore in JSON structure either in-line or via a local file, file://path-to/data-sync-source-json-file.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export id=<substitute-value-of-id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/rover/device/data-sync/task-definition/update.html#cmdoption-id
    oci rover device data-sync task-definition update --id $id

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle